=== debian/changelog ===
plasma-discover (5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:51:58 +0100

plasma-discover (5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:48:22 +0000

plasma-discover (5.12.2-0ubuntu2) bionic; urgency=medium

  * Ensure large appstream icons are downloaded for use in plasma-
    discover

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 23 Feb 2018 23:37:12 +0000

plasma-discover (5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:41:58 +0000

plasma-discover (5.12.1-0ubuntu2) bionic; urgency=medium

  * Add xdg-desktop-portal-kde to depends for snap and flatpak backends

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 19 Feb 2018 15:03:04 +0000

plasma-discover (5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:03 +0000

plasma-discover (5.12.0-0ubuntu2) bionic; urgency=medium

  * Build the snap backend and package.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 04 Feb 2018 11:25:39 +0000

plasma-discover (5.12.0-0ubuntu1) bionic; urgency=medium

  * Install appdata files
  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 04 Feb 2018 09:10:24 +0000

plasma-discover (5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:38:09 +0000

plasma-discover (5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:13:50 -0600

plasma-discover (5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * Transitional package priorities changed from 'extra' to 'optional'
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:57:38 +0000
