=== debian/changelog ===
plasma-discover (5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:38:35 +0100

plasma-discover (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)
  * Cherry pick debian changes adding missing runtime qml module
    dependencies. (LP: #1788863)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:54:58 +0100

plasma-discover (5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:28:17 +0100

plasma-discover (5.12.5.1-0ubuntu0.1) bionic; urgency=medium

  * New upstream bugfix release (5.12.5.1) (LP: #1773292)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 25 May 2018 04:13:31 +0100

plasma-discover (5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)
  * Add apt-config-icons* to depends to ensure we have all app icons, as
    recommended by KDE developers

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:33:17 +0100
