=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
+               qtdeclarative5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/discover
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
@@ -81,12 +81,20 @@
 Package: plasma-discover
 Architecture: any
 Depends: appstream (>= 0.8),
+         apt-config-icons,
+         apt-config-icons-hidpi,
+         apt-config-icons-large,
+         apt-config-icons-large-hidpi,
          packagekit (>= 1.0),
          plasma-discover-common (= ${source:Version}),
+         qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kirigami2,
+         qml-module-org-kde-kquickcontrols,
          qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-org-kde-qqc2desktopstyle,
          qml-module-qtgraphicaleffects,
          qml-module-qtquick-controls2,
+         qml-module-qtquick-dialogs,
          qml-module-qtquick-layouts,
          qml-module-qtquick-templates2,
          qml-module-qtquick2,
