## plasma-discover 5.12.8-0ubuntu0.1%2B9.0trisquel1

=== debian/changelog ===
plasma-discover (5.12.8-0ubuntu0.1+9.0trisquel1) etiona; urgency=medium

  * Disable kns backend

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 07 Jun 2020 02:43:14 +0000
