## plasma-discover 5.13.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(discover)
-set(PROJECT_VERSION "5.12.8")
+set(PROJECT_VERSION "5.13.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12)
@@ -8,7 +8,7 @@
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_SOURCE_DIR}/cmake")
 
-find_package(Qt5 5.7.0 REQUIRED CONFIG COMPONENTS Widgets Test Network Xml Concurrent DBus Quick)
+find_package(Qt5 5.10.0 REQUIRED CONFIG COMPONENTS Widgets Test Network Xml Concurrent DBus Quick)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
@@ -19,13 +19,13 @@
 
 find_package(PkgConfig REQUIRED)
 
-find_package(KF5 5.42 REQUIRED CoreAddons Config Crash DBusAddons I18n Archive XmlGui ItemModels KIO)
+find_package(KF5 5.45 REQUIRED CoreAddons Config Crash DBusAddons I18n Archive XmlGui ItemModels KIO)
 find_package(KF5Kirigami2 2.1.0)
 
-find_package(packagekitqt5)
-find_package(AppStreamQt 0.11.1)
-find_package(KF5Attica 5.23)
-find_package(KF5NewStuff 5.23)
+find_package(packagekitqt5 CONFIG)
+find_package(AppStreamQt 0.11.1 CONFIG)
+find_package(KF5Attica 5.23 CONFIG)
+find_package(KF5NewStuff 5.23 CONFIG)
 
 set(CMAKE_AUTORCC ON)
