=== debian/changelog ===
plasma-discover (5.13.5-1ubuntu6) cosmic; urgency=medium

  * Backport upstream patch to include the repository name for a PPA in
    the settings page source list. Currently the description is blank,
    so requires guesswork or trial and error to work out which entry is
    which. KDE BUG: 390569
    - debian/patches:upstream_include-repo-name-for-ubuntu-ppa.patch

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 08 Oct 2018 16:33:31 +0100

plasma-discover (5.13.5-1ubuntu5) cosmic; urgency=medium

  * Add upstream patch to fix enabling and disabling source entries in
    the main settings page. KDE Bug: 398587
    - debian/patches: upstream_fix-enabling-disabling-sources.patch

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 05 Oct 2018 16:57:46 +0100

plasma-discover (5.13.5-1ubuntu4) cosmic; urgency=medium

  * Add upstream patch to fix Discover showing installed backends as
    missing on settings page.
    - debian/patches: upstream_fix-missing-backends.patch

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 13:41:52 +0100

plasma-discover (5.13.5-1ubuntu3) cosmic; urgency=medium

  * debian/watch: Update to work with Kubuntu automation tooling.
  * Add upstream patch to fix showing update notifications.
    - debian/patches/upstream_fix-showing-update-notification.patch

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 24 Sep 2018 08:48:43 +0100

plasma-discover (5.13.5-1ubuntu2) cosmic; urgency=medium

  * Add patches with upstream changes to fix missing menu item for
    software-properties (Software Sources) in settings page.
    - debian/patches/upstream_software-properties-qt.patch
    - debian/patches//upstream_fix-sources-editor-menu.patch

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 22 Sep 2018 14:16:14 +0100

plasma-discover (5.13.5-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: 
      + Kubuntu packaging Vcs fields.
      + Bumped Frameworks and Plasma build deps.
      + Add apt-config-icons* to depends to ensure we have all app
        icons, as recommended by KDE developers.
      + Depends on ubuntu-release-upgrader-qt.
      + Depends on xdg-desktop-portal-kde for snap and flatpak backends, as
        requested by upstream KDE.
      + Keep our snap and flatpak backend package names for now.
    - Keep install files and lintian-overrides changes.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 10:55:25 +0100

plasma-discover (5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:40 +0200

plasma-discover (5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Recommends on plasma-discover-snap-backend.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:34:19 +0100

plasma-discover (5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.2).
  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:15 +0200

plasma-discover (5.13.4-0ubuntu3) cosmic; urgency=medium

  * Cherry pick debian changes adding missing runtime qml module
    dependencies. (LP: #1788863)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Aug 2018 12:43:21 +0100

plasma-discover (5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:40:00 +0100

plasma-discover (5.13.3-0ubuntu1) cosmic; urgency=medium

  * Install desktop file for snap url handler
  * Drop transitional packages no longer required after 18.04
  * New upstream release (5.13.0)
  * Update install files
  * Re-enable build of flatpak backend
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:25:12 +0100

plasma-discover (5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:17 +0200

plasma-discover (5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)
  * Re-enable build of flatpak backend

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:30:25 +0100

plasma-discover (5.12.5.1-1) unstable; urgency=medium

  * New upstream release (5.12.5.1).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 May 2018 13:07:21 +0200

plasma-discover (5.12.5.1-0ubuntu4) cosmic; urgency=medium

  * Rebuild against kauth 5.47, updating altered kauth helper binary
    installation paths
  * Disable building flatpak backend as FTBFS with flatpak version in
    18.10. Will be renenabled with discover >= 5.12.6

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 19:41:21 +0100

plasma-discover (5.12.5.1-0ubuntu3) cosmic; urgency=medium

  * Revert last upload. As we are looking to SRU Plasma 5.12 LTS point
    releases to Bionic, it is easier for branch maintenance to keep the
    transitional packages required there in place until we migrate to
    Plasma 5.13 in Cosmic.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 21 May 2018 13:10:20 +0100

plasma-discover (5.12.5.1-0ubuntu2) cosmic; urgency=medium

  * Drop transitional packages no longer required after 18.04

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 21 May 2018 12:20:37 +0100

plasma-discover (5.12.5.1-0ubuntu1) cosmic; urgency=medium

  * New upstream bugfix release (5.12.5.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 17 May 2018 13:21:56 +0100

plasma-discover (5.12.5-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * plasma-discover: Depend on qml-module-qtquick-dialogs as well

  [ Maximiliano Curia ]
  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:24:06 +0200


